aboutsummaryrefslogtreecommitdiffstats
path: root/sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-05-21 08:26:47 +0800
committerGitHub <noreply@github.com>2024-05-21 08:26:47 +0800
commitef43b22a8e6d4eb7388a552ba6d52d662e38fd0c (patch)
treecf03ce9e37b5e3068aa38aa2213b558d210bc1a0 /sh
parente6642b5898ef3c46b2d37ab8dfce18f5db0a5618 (diff)
downloadllm-functions-docker-ef43b22a8e6d4eb7388a552ba6d52d662e38fd0c.tar.gz
feat: rewrite to accept json data from cli args other than env var (#7)
* update readme
Diffstat (limited to 'sh')
-rwxr-xr-xsh/get_current_time.sh11
-rwxr-xr-xsh/may_execute_command.sh2
2 files changed, 12 insertions, 1 deletions
diff --git a/sh/get_current_time.sh b/sh/get_current_time.sh
new file mode 100755
index 0000000..26a25d8
--- /dev/null
+++ b/sh/get_current_time.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Get the current time.
+
+main() {
+ date
+}
+
+eval "$(argc --argc-eval "$0" "$@")"
+
diff --git a/sh/may_execute_command.sh b/sh/may_execute_command.sh
index 90db52b..5aad4a3 100755
--- a/sh/may_execute_command.sh
+++ b/sh/may_execute_command.sh
@@ -2,7 +2,7 @@
set -e
# @describe Executes a shell command.
-# @option --command~ Command to execute, such as `ls -la`
+# @option --command! Command to execute, such as `ls -la`
main() {
eval "$argc_command"